Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

container_id
string
required

Container ID

Query Parameters

provider
string

Provider for the container (defaults to openai)

Body

Request to create a file in a container via multipart upload

file
file

The file content to upload

file_path
string

Optional path for the file within the container

Response

Successful response

Response from creating a file in a container

id
string

The unique identifier for the created file

object
string

The object type (always "container.file")

container_id
string

The ID of the container this file belongs to

path
string

The path of the file within the container

bytes
integer<int64>

The size of the file in bytes

created_at
integer<int64>

Unix timestamp of when the file was created

source
string

The source of the file

extra_fields
object

Additional fields included in responses